Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendCallRating

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SendCallRating

Enclosing class:
  TdApi

public static final class TdApi.SendCallRating extends TdApi.Function<TdApi.Ok>
Sends a call rating.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`callId`
Call identifier.
`String`
`comment`
An optional user comment if the rating is less than 5.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.CallProblem[]`
`problems`
List of the exact types of problems with the call, specified by the user.
`int`
`rating`
Call rating; 1-5.

## Constructor Summary

Constructors
Constructor
Description
`SendCallRating()`
Sends a call rating.
`SendCallRating(int callId, int rating, String comment, TdApi.CallProblem[] problems)`
Sends a call rating.
`SendCallRating(DataInput input)`
Sends a call rating.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### callId

public int callId
Call identifier.

### rating

public int rating
Call rating; 1-5.

### comment

public String comment
An optional user comment if the rating is less than 5.

### problems

public TdApi.CallProblem[] problems
List of the exact types of problems with the call, specified by the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SendCallRating

public SendCallRating()
Sends a call rating.

Returns `Ok`

### SendCallRating

public SendCallRating(int callId, int rating, String comment, TdApi.CallProblem[] problems)
Sends a call rating.

Returns `Ok`

Parameters:
  `callId` - Call identifier.
  `rating` - Call rating; 1-5.
  `comment` - An optional user comment if the rating is less than 5.
  `problems` - List of the exact types of problems with the call, specified by the user.

  Returns `Ok`

### SendCallRating

public SendCallRating(DataInput input) throws IOException
Sends a call rating.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`